package com.pj.project.sso;

import org.springframework.stereotype.Component;

import com.pj.current.satoken.StpUserUtil;
import com.pj.project.sys_client.SysClientUtil;

import cn.dev33.satoken.sso.SaSsoTemplate;
import cn.dev33.satoken.stp.StpLogic;

/**
 * 重写 SaSsoTemplate 部分方法，增强功能 
 * 
 * @author kong
 * @since 2022-12-6
 */
@Component
public class CustomSaSsoTemplate extends SaSsoTemplate {
	
	// 会话对象更改为 User 版 
	@Override
	public StpLogic getStpLogic() {
		return StpUserUtil.stpLogic;
	}
	
	// 重写 [获取授权回调地址] 方法，改为从数据库中读取 
	@Override
	public String getAllowUrl() {
		return SysClientUtil.getAllowUrls();
	}
	
}
